Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.griffon.runtime.core
[Java] Class DefaultAddonManager

    java.lang.Object
      org.codehaus.griffon.runtime.core.AbstractAddonManager
          org.codehaus.griffon.runtime.core.DefaultAddonManager

    public class DefaultAddonManager
    extends AbstractAddonManager

Authors:
  Andres Almiray

Since:
  0.9.2

Field Summary

Fields inherited from class AbstractAddonManager
LOG, addonDescriptors, addons, app, initialized, lock

Constructor Summary
`DefaultAddonManager(GriffonApplication app)`

Method Summary
`protected void` | `doInitialize()`
`protected void` | `doRegisterAddon(GriffonAddonDescriptor addonDescriptor)`

Methods inherited from class AbstractAddonManager
doInitialize, doRegisterAddon, findAddon, findAddonDescriptor, findAddonDescriptors, getAddonDescriptors, getAddons, getAddonsInternal, getApp, initialize, registerAddon

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### DefaultAddonManager

    public DefaultAddonManager(GriffonApplication app)

Method Detail

### doInitialize

    protected void doInitialize()

### doRegisterAddon

    protected void doRegisterAddon(GriffonAddonDescriptor addonDescriptor)

Groovy Documentation